#
# spec file for package xsidplay (Version 1.6.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 gpp gppshare libgpp libjpeg liblcms libmng libmng-devel libpng mesa mesa-devel mesasoft qt qt-devel sidplay xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow sidplay strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         xsidplay
Copyright:    Michael Schwendt
Group:        Applications/Sound
Autoreqprov:  on
Version:      1.6.0
Release:      46
Summary:      X11 player for C64 music files
Source:  xsidplay-%{version}.tar.bz2
Patch:   xsidplay-%{version}.dif

%description
This package allows you to play music from C64 games and demos on your PC
under the X11 environment.
You can find a comprehensive archive on the WWW at
http://www.hvsc.c64.org/

Authors:
--------
    Michael Schwendt <sidplay@geocities.com>

SuSE series: snd

%prep
%setup
%patch

%build
QTDIR=/usr/lib/qt2 ./configure --prefix=/usr
make

%install
install -m 755 src/xsidplay /usr/X11R6/bin
install -d -m 755 /opt/kde/share/icons/mini
install -m 644 src/images/xsidplay.xpm /opt/kde/share/icons
install -m 644 src/images/mini/xsidplay.xpm /opt/kde/share/icons/mini

%files
%doc AUTHORS COPYING INSTALL README README.QT README.sidplay2 STIL.faq
%doc example-sidtunes
/usr/X11R6/bin/xsidplay
/opt/kde/share/icons/xsidplay.xpm
/opt/kde/share/icons/mini/xsidplay.xpm

%changelog -n xsidplay
* Tue Jul 24 2001 - uli@suse.de
- update -> 1.6.0
* Mon Jul 09 2001 - kukuk@suse.de
- Add freetype2 to needed for build
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Wed Feb 28 2001 - uli@suse.de
- update -> 1.6b11
* Fri Jan 28 2000 - ro@suse.de
- fixed to compile
* Tue Oct 26 1999 - uli@suse.de
- update -> 1.3.8
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Mar 17 1999 - uli@suse.de
- update 1.3.4 -> 1.3.5
* Sat Feb 20 1999 - uli@suse.de
- new package
